overwrite: true
schema: 'http://localhost:5000/graphql' #${SCHEMA_PATH}
documents: 'src/federation/**/!(*.d).{ts,tsx}'
generates:
  src/federation/index.tsx:
    plugins:
      - 'typescript'
      - 'typescript-operations'
      - 'typescript-react-apollo'
      - 'fragment-matcher'
    config:
      apolloClientVersion: 3
      useExplicitTyping: true
      federation: true
      namingConvention: change-case-all#pascalCase
  ./src/federation/graphql.schema.json:
    plugins:
      - 'introspection'
